package net.lensfrex.dscape.domain;

import java.util.Date;

public class PatientData {

    /**
     * 患者数据id
     */
    private int id;

    /**
     * 病人id
     */
    private int pid;

    /**
     * ctDNA长度
     */
    private int ctDNALength;

    /**
     * 甲基化位点数
     */
    private int cpg;

    /**
     * 是否为hcc
     */
    private boolean hccStatus;

    /**
     * 通过推断得出的hcc状态
     */
    private boolean hccInferStatus;

    /**
     * create_time
     */
    private Date createTime;

    /**
     * edit_time
     */
    private Date editTime;

    /**
     * delete
     */
    private boolean delete;

    public PatientData() {}

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getPid() {
        return pid;
    }

    public void setPid(int pid) {
        this.pid = pid;
    }

    public int getCtDNALength() {
        return ctDNALength;
    }

    public void setCtDNALength(int ctDNALength) {
        this.ctDNALength = ctDNALength;
    }

    public boolean isHccStatus() {
        return hccStatus;
    }

    public void setHccStatus(boolean hccStatus) {
        this.hccStatus = hccStatus;
    }

    public boolean isHccInferStatus() {
        return hccInferStatus;
    }

    public void setHccInferStatus(boolean hccInferStatus) {
        this.hccInferStatus = hccInferStatus;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public int getCpg() {
        return cpg;
    }

    public void setCpg(int cpg) {
        this.cpg = cpg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getEditTime() {
        return editTime;
    }

    public void setEditTime(Date editTime) {
        this.editTime = editTime;
    }

    @Override
    public String toString() {
        return "PatientData{" + "id=" + id +
                ", pid=" + pid +
                ", ctDNALength=" + ctDNALength +
                ", cpg=" + cpg +
                ", hccStatus=" + hccStatus +
                ", hccInferStatus=" + hccInferStatus +
                ", createTime=" + createTime +
                ", editTime=" + editTime +
                ", delete=" + delete +
                '}';
    }
}